class PlanetsController < ApplicationController
  def index
    if params[:size] == "big"
      @planets = Planet.big
    elsif params[:size] == "little"
      @planets = Planet.little
    else
      @planets = Planet.all
    end
    # session[:the_sun] = "It's big and hot!"
  end

  def show
    @planet = Planet.find(params[:id])
  end

  def new
    @planet = Planet.new
    # @sun_message = session[:the_sun]
  end

  def create
    @planet = Planet.new( planet_params )
    if @planet.save
      redirect_to planet_url(@planet.id)
    else
      render 'new'
    end
  end

  def edit
    @planet = Planet.find(params[:id])
  end

  def update
    @planet = Planet.find(params[:id])
    if @planet.update_attributes( planet_params )
      redirect_to planet_url(@planet.id)
    else
      render 'edit'
    end
  end

  def destroy
    @planet = Planet.find(params[:id])
    @planet.destroy
    redirect_to planets_index_url
  end

  private

  def planet_params
    params.require(:planet).permit(:name,:diameter,:sun_distance)
  end
end
