require 'test_helper'

class PlanetsControllerTest < ActionDispatch::IntegrationTest
  def setup
    @planet = Planet.first
  end

  test "should get index" do
    get planets_index_url
    assert_response :success

    assert_select 'td', {text: @planet.name}
  end

  test "should get show" do
    get planet_url(@planet.id)
    assert_response :success

    assert_select 'h1', {text: @planet.name}
  end

  test "should get new" do
    get planets_new_url
    assert_response :success
  end

  test "should post to create" do
    assert_difference 'Planet.count' do
      post planets_create_url,
        params: {
          planet: {
            name: 'test planet 2',
            diameter: 777,
            sun_distance: 777
          }
        }
    end

    assert_redirected_to planet_url(Planet.last)
  end

  test "should get edit" do
    get planet_edit_url(@planet.id)
    assert_response :success

    assert_select 'input', {value: @planet.name}
  end

  test "should put request to update" do
    put planet_update_url(@planet.id),
      params: {
        planet: {
          name: 'test planet 2',
          diameter: @planet.diameter,
          sun_distance: @planet.sun_distance
        }
      }

    assert_redirected_to planet_url(@planet.id)
  end

  test "should send delete request to destroy" do
    assert_difference 'Planet.count', -1 do
      delete planet_destroy_url(@planet.id)
    end

    assert_redirected_to planets_index_url
  end
end
